Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VDI.Record

    java.lang.Object
      com.xensource.xenapi.VDI.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VDI

    public static class VDI.Record

extends Object
implements Types.Record

Represents all the fields in a VDI

Field Summary
`Boolean` | `allowCaching` true if this VDI is to be cached in the local cache SR
`Set<Types.VdiOperations>` | `allowedOperations` list of the operations allowed in this state.
`Set<Crashdump>` | `crashDumps` list of crash dumps that refer to this disk
`Map<String,Types.VdiOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`Boolean` | `isASnapshot` true if this is a snapshot.
`String` | `location` location information
`Boolean` | `managed`
`Boolean` | `metadataLatest` Whether this VDI contains the latest known accessible metadata for the pool
`Pool` | `metadataOfPool` The pool whose metadata is contained in this VDI
`Boolean` | `missing` true if SR scan operation reported this VDI as not present on disk
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Types.OnBoot` | `onBoot` The behaviour of this VDI on a VM boot
`Map<String,String>` | `otherConfig` additional configuration
`VDI` | `parent` References the parent disk, if this VDI is part of a chain
`Long` | `physicalUtilisation` amount of physical space that the disk image is currently taking up on the storage repository (in bytes)
`Boolean` | `readOnly` true if this disk may ONLY be mounted read-only
`Boolean` | `sharable` true if this disk may be shared
`Map<String,String>` | `smConfig` SM dependent data
`VDI` | `snapshotOf` Ref pointing to the VDI this snapshot is of.
`Set<VDI>` | `snapshots` List pointing to all the VDIs snapshots.
`Date` | `snapshotTime` Date/time when this snapshot was created.
`SR` | `SR` storage repository in which the VDI resides
`Boolean` | `storageLock` true if this disk is locked at the storage level
`Set<String>` | `tags` user-specified tags for categorization purposes
`Types.VdiType` | `type` type of the VDI
`String` | `uuid` Unique identifier/object reference
`Set<VBD>` | `VBDs` list of vbds that refer to this disk
`Long` | `virtualSize` size of disk as presented to the guest (in bytes).
`Map<String,String>` | `xenstoreData` data to be inserted into the xenstore tree (/local/domain/0/backend/vbd///sm-data) after the VDI is attached.

Constructor Summary
`VDI.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VDI.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### allowedOperations

    public Set<Types.VdiOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.VdiOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### SR

    public SR SR

  storage repository in which the VDI resides

### VBDs

    public Set<VBD> VBDs

  list of vbds that refer to this disk

### crashDumps

    public Set<Crashdump> crashDumps

  list of crash dumps that refer to this disk

### virtualSize

    public Long virtualSize

  size of disk as presented to the guest (in bytes). Note that, depending on storage backend type, requested size may not be respected exactly

### physicalUtilisation

    public Long physicalUtilisation

  amount of physical space that the disk image is currently taking up on the storage repository (in bytes)

### type

    public Types.VdiType type

  type of the VDI

### sharable

    public Boolean sharable

  true if this disk may be shared

### readOnly

    public Boolean readOnly

  true if this disk may ONLY be mounted read-only

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### storageLock

    public Boolean storageLock

  true if this disk is locked at the storage level

### location

    public String location

  location information

### managed

    public Boolean managed

### missing

    public Boolean missing

  true if SR scan operation reported this VDI as not present on disk

### parent

    public VDI parent

  References the parent disk, if this VDI is part of a chain

### xenstoreData

    public Map<String,String> xenstoreData

  data to be inserted into the xenstore tree (/local/domain/0/backend/vbd///sm-data) after the VDI is attached. This is generally set by the SM backends on vdi_attach.

### smConfig

    public Map<String,String> smConfig

  SM dependent data

### isASnapshot

    public Boolean isASnapshot

  true if this is a snapshot.

### snapshotOf

    public VDI snapshotOf

  Ref pointing to the VDI this snapshot is of.

### snapshots

    public Set<VDI> snapshots

  List pointing to all the VDIs snapshots.

### snapshotTime

    public Date snapshotTime

  Date/time when this snapshot was created.

### tags

    public Set<String> tags

  user-specified tags for categorization purposes

### allowCaching

    public Boolean allowCaching

  true if this VDI is to be cached in the local cache SR

### onBoot

    public Types.OnBoot onBoot

  The behaviour of this VDI on a VM boot

### metadataOfPool

    public Pool metadataOfPool

  The pool whose metadata is contained in this VDI

### metadataLatest

    public Boolean metadataLatest

  Whether this VDI contains the latest known accessible metadata for the pool

Constructor Detail

### VDI.Record

    public VDI.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VDI.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD